Project

General

Profile

Bug #122

ALT Project Management Web Service Crash

Added by Daniel Curtis over 7 years ago. Updated about 7 years ago.

Status:
Closed
Priority:
Normal
Assignee:
Target version:
-
Start date:
06/12/2013
Due date:
% Done:

100%

Spent time:

Description

During the upgrade of the web2 server to Debian Wheezy a few packages were upgraded, and broke dependencies with the ALT PM Redmine instance.

The initial error stated that a required package was not installed, bundler.

sudo apt-get install bundler

I then began experiencing gem dependency issues. To resolve the dependency issues:

gem install rails --include-dependencies
gem install rack -v 1.0.1
gem install multi_json -v 1.7.2
gem install builder -v 3.0.0
gem install hike -v 1.2.2
gem install tilt -v 1.4.0
gem install treetop -v 1.4.12
gem install mail -v 2.5.3
gem install coderay -v 1.0.9
gem install json -v 1.7.7
gem install rdoc -v 3.12.2
gem install jquery-rails -v 2.0.3
gem install mysql2 -v 0.3.11
gem install net-ldap -v 0.3.1
gem install ruby-openid -v 2.1.8
gem install rack-openid -v 1.3.1
apt-get install libmagick9-dev graphicsmagick-libmagick-dev-compat libmagickcore-dev libmagickwand-dev
gem install rmagick -v 2.13.2

History

#1 Updated by Daniel Curtis about 7 years ago

  • Private changed from Yes to No

Also available in: Atom PDF